<?xml version="1.0" encoding="UTF-8"?>
<launch>
    <param name="robot_description" textfile="$(find four_link_description)/urdf/four_link.urdf"/>

    <arg name="x" default="0"/>
    <arg name="y" default="0"/>
    <arg name="z" default="0.0"/>


    <node name="four_link_robot_spawn" pkg="gazebo_ros" type="spawn_model" output="screen" 
     args=" -urdf -param robot_description -model four_link -x $(arg x) -y $(arg y) -z $(arg z)"/>

</launch>